package example3;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class BouncingBarFrame extends JFrame {

	public BouncingBarFrame() {
		final BouncingProgressBar progressBar = new BouncingProgressBar();
		final JButton startButton = new JButton("start");
		getContentPane().setLayout(new FlowLayout());
		add(progressBar);
		add(startButton);
		
		startButton.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent arg0) {
				progressBar.start();
				startButton.setEnabled(false);
			}
			
		});
		pack();
	}
	
	
	
	
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {

			public void run() {
				new BouncingBarFrame().setVisible(true);
			}
			
		});

	}

}
