package example2.using.inturrupt;

public class ThreadUsingInterupt extends Thread {

	private boolean play = true;

	public void run() {
		
		while(!isInterrupted()) {
			
			try {
				sleep(5000);
			} catch (InterruptedException e) {
				interrupt();
			}
			System.out.println("Hello, I'm running");
		}
		System.out.println("Bye, I'm gone!");
	}
	
	public void stopRun() {
		interrupt();
	}

	protected synchronized boolean isPlay() {
		return play;
	}

	protected synchronized void togglePlayPause() {
		play = !play;		
	}
}
