package example3;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JProgressBar;
import javax.swing.Timer;

public class BouncingProgressBar extends JProgressBar {
	
	private Timer timer;	
	private boolean up = true;

	public BouncingProgressBar() {
        timer = new Timer(50, new ActionListener() {            

			public void actionPerformed(ActionEvent evt) {
				if(up)
					setValue(getValue()+1);
				else 
					setValue(getValue()-1);
				
                if (getValue() == getMaximum()) {
                    up = false;
                }else if(getValue() == getMinimum()) {
                	timer.stop();
                }
            }
        });
	}
	
	public void start() {
		timer.start();
	}

}
